#include <stdint.h>
#include <libopencm3/stm32/rcc.h>
#include <libopencm3/stm32/gpio.h>

#define PORT_I2C GPIOB
#define CLKPIN   GPIO6
#define DIOPIN   GPIO7
#define RCCPORT  RCC_GPIOB

#define FDEL 10

void delay_us(unsigned int i);
void _tm1637Start(void);
void _tm1637Stop(void);
void _tm1637ReadResult(void);
void _tm1637WriteByte(unsigned char b);
void tm1637SetBrightness(char brightness);
void tm1637Init(void);
void tm1637DisplayDecimal(int v, int displaySeparator);
